@charset "iso-8859-1";
/* Tech Squares Stylesheet */
/*  originally by:  C. Scott Ananian (2006) */

/* sans-serif fonts look better on screen. */
@media screen {
 body { font-family: Verdana, Helvetica, Arial, sans-serif; font-size: 10px; }
}
@media handheld {
 body { font-family: Verdana, Helvetica, Arial, sans-serif; font-size: 10pt; }
 .nohh { display: none; }
}
/* serif fonts look better on paper. */
@media print {
 body { font-family: serif; font-size: 10pt; } 
 .noprint { display: none; }
}

/**************** MASTER COLUMN LAYOUT ******************/
/* See "The Holy Grail of Layouts":
 *         http://www.alistapart.com/articles/holygrail
 * This is the "wrapper-free Holy Grail".
 */
/* LC fullwidth: 171px.  LC padding: 10px each side. */
/* CC padding: 11px left 24px right */
body, #body, #masthead, #footer, #sidebar, #main { margin: 0; padding: 0; }
body {
	padding-left: 171px; /* LC fullwidth */
	padding-right: 35px; /* CC padding */
	min-width: 206px;    /* LC fullwidth + CC padding */
}
#masthead {
	margin-left: -171px; /* LC fullwidth */
	margin-right: -35px; /* CC padding */
}
#footer {
	margin-left: -161px; /* LC fullwidth - 10px left margin */
	margin-right: -11px; /* CC padding - 24px right margin */
}
#sidebar, #main {
	position: relative;
	float: left;
}
#main {
	padding: 0 24px 0 11px;
	width: 100%;
}
#sidebar {
	width: 151px;     /* LC width */
	padding: 0 10px;  /* LC padding */
	right: 206px;     /* LC fullwidth + CC padding */
	margin-left: -100%;
}
#footer {
	clear: both;
}
/*** IE Fix (joy) ***/
* html #sidebar {
	left: -171px;
	width: 171px; /* ie counts the padding as part of the width */
}
/* Fixes for IE/Mac (not necessary for other IE versions) */
/* ie/mac apparently doesn't like position:relative on a float */
/* \*/ ieMacOnly/**/
* html #sidebar { position: absolute; top:175px; left:0; margin-left: 0; }
/* \*/ ieMacOnly/**/
* html #footer { margin-left: 10px; }

/**************** POSITIONING DETAILS ******************/
#logo {
	float: left;
	margin: 0 15px 0 0;
	padding: 20px 0 0 17px;
}
#masthead h1 {
	margin: 0 0 0 182px;
	padding: 2px 0 0 0;
	height: 71px;
	overflow: visible;
	position: relative;
}
#masthead { padding-right: 24px; }
#sidebar, #main, #body { margin-bottom: 2em; }
#footer { padding: 1em 0; }
#main h1:first-child { margin-top: 5px; }
#sidebar #visitors h4 { margin-top: 11px; }

/* Make IE and Firefox consistent by growing the #masthead to include #logo */
.clearit { height: 1px; clear: both; font-size:1px; }

/* Min-width for masthead on IE.  I love these bugs. */
/*   http://www.webreference.com/programming/min-width/2.html  */
* html #masthead .minwidth {
	border-left: 700px solid white;
}
* html #masthead .container {
	margin-left: -700px;
	position: relative;
}
/* the following is sufficient to set "hasLayout" in IE, but
 * suppresses all bullets in lists (fun!), so be careful not to
 * apply it to list types. It also has weird effects on boxes with
 * "display:inline;" (like 'span'). */
div,img,p,h1,h2,h3,h4 {
  zoom: 100%; /* sufficient to set "hasLayout" in IE */
}

/* Avoid oversized iframes on mobile */
iframe { max-width: 100%; }

/******************* IMAGE REPLACEMENT *******************/
#logo a { width: 150px; height: 150px; display: block; }
#logo a { background: url("ts-square-logo.png") top left no-repeat; }

#techsquares, #ts-words {
  width:353px; height:75px; margin: 0; padding: 0; display: block;
}
#ts-words { position: relative; overflow: hidden; }
#techsquares {
  position: absolute; left: 0; top: 0;
  background: url("ts-words-logo.png") top left no-repeat;
}

#beaver { width:32px; height:51px; position: absolute; right: 0; }
/* Support transparent PNGs on IE6.  I <heart> Microsoft! */
#beaver { filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod='scale', src='beaver.png'); bottom: -14px; }
/* sane browsers handle transparent PNGs with ease.. */
#beaver[id] { /* ignored by IE6 */
  bottom: -13px !important;
  background: url("beaver.png") top left no-repeat;
}


/**************** PRINTING TWEAKS **********************/
@media print, handheld {
 #main { clear: both; }
 #masthead, #footer { margin: 0; }
 body { padding: 0; }
 #sidebar, #main { float: none; }
 * html #masthead .minwidth,
 * html #masthead .container { /* undo IE hacks */
   border-left: 0; margin-left: 0;
 }
}
/**************** CELLPHONE/HANDHELD TWEAKS ************/
@media handheld {
 #logo, #beaver, #techsquares { display: none; }
 #sidebar { margin: 0; }
 #masthead h1 { height: auto; margin: 0;}
 #techsquares, #ts-words { width: auto; height: auto; }
}

/**************** COLORS AND SIZES *********************/
html, body { color: #000; background: #fff; }

a:link, a:visited, a:active {
	text-decoration: underline;
	color: #933;
}
a:hover {
	text-decoration: none;
}
a[href]:hover { color: #933; }

#masthead h1 {
 border-bottom: 1px solid #666;
 font-size: 180%; font-style: normal; font-weight: bold; color: #933;
}
#footer { text-align: center; border-top: 1px solid #666; color: #666;}
#footer .sel { font-weight: bold; }

#main { font-size: 10pt; }
#main dt { font-weight: bold; }
/**/
#main .events ul { list-style-type: none; margin: 1px 0 .7em -2em; }
#main .events .time { position: relative; left: -1em; font-style: italic; text-transform: lowercase; vertical-align: top; }
#main .events li { margin-bottom: 0.2em; margin-right: .5em; }
/* make IE a little prettier */
* html #main .events li { margin-left: 1em; }

#sidebar { border-right: 1px dotted #ddd; }
#sidebar ul { padding: 0; margin: 0; background: #fff; }
#sidebar ul li { list-style-type: none; position: relative; margin: 0; padding: 0; }
#sidebar ul ul { display: none; }
#sidebar ul li:hover > ul { display: block; position: absolute; top: 0px; left: 100%; border: 2px solid #ccc; z-index: 99; }
#sidebar li.sub:hover > ul { width: 100%; }
#sidebar li a { display: block; padding-left: 2em; text-indent: -1em; }
#sidebar li a.sel { color: #666; font-weight: bold; }
#sidebar li > a[href]:hover {background: #ddd; color: #b33; }
#sidebar h4 a { text-decoration: none; }
#sidebar h4 { padding: 0; margin: 1.2em 0 0 0; color: #000; font-weight: 900; }
#sidebar h4 { font-size: 110%; font-style: normal;/*italics are hard to read*/}
#mitinfo { border-top: 2px dotted #666; margin-top: 1em; }
/* work around treo bug */
@media handheld { #sidebar ul li { position: static; } }

/* style the search element */
#search form, #search form fieldset {padding:0; margin:0; border: none; }
#search form fieldset label {display:none; }
#search form input { font-size: 100%; font-weight: normal; }
#search form { padding-left: 10px; padding-top: 5px; }
#search form input#q { width: 90px; }
#search form input#sa { width: 40px; }
#search { margin-bottom: 1.5em; }
#search form input#sa { cursor: pointer; }
#search form input#q:focus, #search form input#q:hover { background: #ff9; }
#search form input#sa:focus, #search form input#sa:hover { background: #eee; }
input#q[value=""] {
 /* the value attribute constraint doesn't do anything, but i wish it did */
 background-image: url("search-back.png");
}

/* headings in the main section */
#main h1 { font-weight: 900; font-size: 160%; color: #933; }
#main h2 { font-weight: 700; font-size: 110%; color: #666; border-bottom: 1px solid #aaa; letter-spacing: 0.1em; margin: 2em 0 .5em 0;}
#main h3 { font-weight: 700; font-size: 105%; color: #666; letter-spacing: 0.1em; margin: 1.5em 0 .5em 0;}
h3 { font-size: 120%; font-style: normal; font-weight: bold; }
h4 { font-size: 110%; font-style: italic; font-weight: bold; }

/* special announcements section (also big red box used in beginners flyer) */
#announcements, .bigred {
	border: 2px solid #333;
	text-align:center;
	font-weight:bold;
	color: #fff;
	font-size: 18px;
	/* no browsers support these yet =( */
        text-shadow: 0px -1px black, 0px 1px black, -1px 0px black, 1px 0px black;
	text-outline: black 2px;
}
#announcements a:link { color: #fff; }
#announcements a:visited { color: #fff; }
#announcements a:hover { color: #fff; }

#announcements {
 padding:0;
 margin: 5px 2.8em 0 0;
 height: 90px;
 overflow: hidden;
 position: relative;
 max-width: 574px;
 /* following two lines are an evil hack for IE6, which doesn't support */
 /* max-width. */
 width: auto !important;
 width: 450px;
 /* browsers can't seem to agree on how a left-margin should interact with
  * the left-floated logo, so use position: relative to scoot the box over
  * instead -- although Opera 9 ignores even this (sigh) */
 top: 0; left: 1.3em;
}
/* put the groovy picture of our members in place */
#announcements {
 background: #933 url("https://tech-squares.scripts.mit.edu/ts-random-strip.py") no-repeat center center;
}
@media print, handheld {
 #announcements, .bigred {
   /* the !important shouldn't be necessary, but the treo650 browser */
   /* otherwise ignores it =( In any case, it's harmless. */
   background: #fff none !important;
   color: #000;
   height: auto; width: auto;
   padding: 1em;
   border: none;
 }
 #announcements a:link, #announcements a:visited, #announcements a:hover {
   color: #933;
 }
}

/* for beginners */
.bigred { padding: 0.5em; margin: 0 1.5em; background: #933; }
.bigred a { color: #fff; }
.bigred a:hover { color: #fff; }

/* for hapgood: a drop cap */
@media screen {
 p.dropcap {
  font-size: 10pt;
  line-height: 13pt;
  text-align:left;
 }
 p.dropcap .cap {
  font-size: 36pt;
  line-height: 31pt;
  font-family: georgia, times, serif;
  float: left;
 }
}
/* for schedules page: highlight link target */
.highlight-target a:target { /* uses CSS3 :target selector */
 border: 2px solid #933;
 border-right: none; /* right border looks bad if text overflows browser */
 display: block; /* so outline goes around outside */
 padding: .1em 10px;
 margin:   0  -12px;
}
.highlight-target a:target::before {
 content: "Selected month:\A"; color: #933;
}
/* schedules page: also highlight current month using SSI magic (uglier) */
/* these rules can't be combined with the previous ones, because CSS     */
/* standard says that *entire* rule must be ignored if the user-agent    */
/* doesn't understand some selector (like :target, say).                 */
.highlight-target .now {
 border: 2px solid #933;
 border-right: none; /* right border looks bad if text overflows browser */
 display: block; /* so outline goes around outside */
 padding: .1em 10px;
 margin:   0  -12px;
}
.highlight-target a.now:before { /* note CSS2 syntax for ::before */
 content: "This month:\A"; color: #933;
}

/* other miscellaneous small style rules */
p.list { page-break-inside: avoid; padding-left: 1em; }
hr { height: 1px; border: none; color: #666; background: #666; width: 80%; }
#lastmod { text-align: right; color:#666; font-size: 90%; margin-bottom:-1.5em;}

.red { color: red; }
.blue { color: blue; }
.small { font-size: 90%; }
img.noborder { border: none; }
#no-css-hack, .nocss { display: none; }
@media handheld { .hh { display: block !important; } }

/* final allowances for ie bugs */
.iebug { display: none; /* i love ie */ }
* html q { font-style: italic; color: #666; } /* no quotes! =( */
a.rightalign { display: none; }
img.rightalign { display: none; }
/* the next 2 rules are deliberately hidden from ie, which will clear
 * floats & improperly display these (optional) images. */
a[href].rightalign { display: block; float: right; }
img[src].rightalign { display: block; float: right; }

/* Fixes for IE/Mac (not necessary for other IE versions) */
/* 1) overflow: hidden doesn't work on non-divs unless floated. */
/* \*/ ieMacOnly/**/
* html #ts-words { float: left; height: 71px; }
/* 2) due to box model oddness, sidebar border is wrong; hide it */
/* \*/ ieMacOnly/**/
* html #sidebar { border-right: none; }
/* 3) ie/mac doesn't need the alphaimageloader crap */
/* \*/ ieMacOnly/**/
* html #beaver { background: url("beaver.png") top left no-repeat; bottom: -13px; }

/* just gravy: underline abbr/acronym on all browsers */
abbr, acronym {
  border-bottom: 1px dotted #933;
  /* this next overrides the link cursor, so I've disabled it */
  /* cursor: help; */
}

/* for latex2html */
span.textit { font-style: italic; }


/* Better formatting of multicolumn (on lessons page, eg) */
.multicolumn h3 { break-after: avoid-column; }
